Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drupal.project.async_command.deprecated
Class JythonDrupalApp

    java.lang.Object
      org.drupal.project.async_command.deprecated.AbstractDrupalAppDeprecated
          org.drupal.project.async_command.deprecated.JythonDrupalApp

Deprecated.

    @Deprecated
    public abstract class JythonDrupalApp

extends AbstractDrupalAppDeprecated

Class for Jython script

Nested Class Summary

Nested classes/interfaces inherited from class org.drupal.project.async_command.deprecated.AbstractDrupalAppDeprecated
`AbstractDrupalAppDeprecated.EncryptionMethod, AbstractDrupalAppDeprecated.RunningMode`

Field Summary

Fields inherited from class org.drupal.project.async_command.deprecated.AbstractDrupalAppDeprecated
`config, dataSource, drupalConnection, logger, maxBatchSize, runningMode`

Constructor Summary
`JythonDrupalApp()` Deprecated.

Method Summary
`protected Result` | `runCommand(java.lang.String command)` Deprecated. Run the async command.

Methods inherited from class org.drupal.project.async_command.deprecated.AbstractDrupalAppDeprecated
`batch, convertBlobValueToString, d, drupalVariableGet, drupalVariableSet, evalPhp, evalPhp, getDefaultSettingsPhpFile, getReaderContent, handleCLI, identifier, initConfig, initDrupalConnection, loadSettingsPhp, pingMe, prepareApp, prepareCommand, query, queryValue, readEncryptedSettingsField, readEncryptedSettingsField, retrievePendingCommand, run, runApp, testConnection, unserializePhpArray, update, updateRecord`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JythonDrupalApp

    public JythonDrupalApp()

  Deprecated.

Method Detail

### runCommand

    protected Result runCommand(java.lang.String command)
                         throws EvaluationFailureException

  Deprecated.
  Run the async command. This is different from the base class because BSH reflection doesn't work for Jython files. Need to use the PythonInterpreter to evaluate the method.

  Overrides:
    `runCommand` in class `AbstractDrupalAppDeprecated`
  Throws:
    `EvaluationFailureException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD